| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
test_UDPv4TransportDescriptor Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Transport Module.

UDP v4 Test Transport configuration. More...

`#include <test_UDPv4TransportDescriptor.hpp>`

Inheritance diagram for test_UDPv4TransportDescriptor:
[legend]

## Public Types

typedef std::function< bool(eprosima::fastdds::rtps::CDRMessage_t &msg)> | filter
| Custom message filtering functions.
typedef std::function< bool(const Locator &destination)> | DestinationLocatorFilter
| Locator filtering function.
Public Types inherited from PortBasedTransportDescriptor
using | ReceptionThreadsConfigMap = std::map<uint32_t, ThreadSettings>

## Public Member Functions

FASTDDS_EXPORTED_API | test_UDPv4TransportDescriptor ()
| Constructor.
virtual | ~test_UDPv4TransportDescriptor ()=default
| Destructor.
virtual TransportInterface * | create_transport () const override
| Create transport using the parameters defined within the Descriptor.
FASTDDS_EXPORTED_API | test_UDPv4TransportDescriptor (const test_UDPv4TransportDescriptor &t)=delete
| Copy constructor.
FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor & | operator= (const test_UDPv4TransportDescriptor &t)=delete
| Copy assignment.
FASTDDS_EXPORTED_API | test_UDPv4TransportDescriptor (test_UDPv4TransportDescriptor &&t)=delete
| Move constructor.
FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor & | operator= (test_UDPv4TransportDescriptor &&t)=delete
| Move assignment.
FASTDDS_EXPORTED_API bool | operator== (const test_UDPv4TransportDescriptor &t) const
| Comparison operator.
Public Member Functions inherited from SocketTransportDescriptor
FASTDDS_EXPORTED_API | SocketTransportDescriptor (uint32_t maximumMessageSize, uint32_t maximumInitialPeersRange)
| Constructor.
FASTDDS_EXPORTED_API | SocketTransportDescriptor (const SocketTransportDescriptor &t)=default
| Copy constructor.
FASTDDS_EXPORTED_API SocketTransportDescriptor & | operator= (const SocketTransportDescriptor &t)=default
| Copy assignment.
virtual FASTDDS_EXPORTED_API | ~SocketTransportDescriptor ()=default
| Destructor.
virtual FASTDDS_EXPORTED_API uint32_t | min_send_buffer_size () const override
| Returns the minimum size required for a send operation.
bool FASTDDS_EXPORTED_API | operator== (const SocketTransportDescriptor &t) const
| Comparison operator.
Public Member Functions inherited from PortBasedTransportDescriptor
FASTDDS_EXPORTED_API | PortBasedTransportDescriptor (uint32_t maximumMessageSize, uint32_t maximumInitialPeersRange)
| Constructor.
FASTDDS_EXPORTED_API | PortBasedTransportDescriptor (const PortBasedTransportDescriptor &t)=default
| Copy constructor.
FASTDDS_EXPORTED_API PortBasedTransportDescriptor & | operator= (const PortBasedTransportDescriptor &t)=default
| Copy assignment.
virtual FASTDDS_EXPORTED_API | ~PortBasedTransportDescriptor ()=default
| Destructor.
bool FASTDDS_EXPORTED_API | operator== (const PortBasedTransportDescriptor &t) const
| Comparison operator.
virtual FASTDDS_EXPORTED_API const ThreadSettings & | get_thread_config_for_port (uint32_t port) const
| Get the ThreadSettings for a specific port.
virtual FASTDDS_EXPORTED_API bool | set_thread_config_for_port (const uint32_t &port, const ThreadSettings &thread_settings)
FASTDDS_EXPORTED_API const ThreadSettings & | default_reception_threads () const
| Returns the ThreadSettings for the default reception threads.
virtual FASTDDS_EXPORTED_API void | default_reception_threads (const ThreadSettings &default_reception_threads)
| Set the ThreadSettings for the default reception threads.
FASTDDS_EXPORTED_API const ReceptionThreadsConfigMap & | reception_threads () const
| Returns the ThreadSettings for the user-configured reception threads.
virtual FASTDDS_EXPORTED_API bool | reception_threads (const ReceptionThreadsConfigMap &reception_threads)
| Set the ThreadSettings for the user-configured reception threads.
Public Member Functions inherited from TransportDescriptorInterface
FASTDDS_EXPORTED_API | TransportDescriptorInterface (uint32_t maximumMessageSize, uint32_t maximumInitialPeersRange)
| Constructor.
FASTDDS_EXPORTED_API | TransportDescriptorInterface (const TransportDescriptorInterface &t)
| Copy constructor.
FASTDDS_EXPORTED_API TransportDescriptorInterface & | operator= (const TransportDescriptorInterface &t)
| Copy assignment.
virtual FASTDDS_EXPORTED_API | ~TransportDescriptorInterface ()=default
| Destructor.
virtual FASTDDS_EXPORTED_API uint32_t | max_message_size () const
| Returns the maximum size expected for received messages.
virtual FASTDDS_EXPORTED_API uint32_t | max_initial_peers_range () const
| Returns the maximum number of opened channels for each initial remote peer (maximum number of guessed initial peers to try to connect).
FASTDDS_EXPORTED_API bool | operator== (const TransportDescriptorInterface &t) const
| Comparison operator.
FASTDDS_EXPORTED_API void | lock ()
| Lock internal mutex (for Fast-DDS internal use).
FASTDDS_EXPORTED_API void | unlock ()
| Unlock internal mutex (for Fast-DDS internal use).

## Public Attributes

std::shared_ptr< TestUDPv4TransportOptions > | test_transport_options = std::make_shared<TestUDPv4TransportOptions>()
| Test transport options.
std::atomic< uint8_t > | dropDataMessagesPercentage {0}
| Test shim parameters Percentage of data messages being dropped.
std::atomic< uint8_t > | dropParticipantBuiltinDataMessagesPercentage {0}
| Percentage of Data[P] messages being dropped.
std::atomic< uint8_t > | dropPublicationBuiltinDataMessagesPercentage {0}
| Percentage of Data[W] messages being dropped.
std::atomic< uint8_t > | dropSubscriptionBuiltinDataMessagesPercentage {0}
| Percentage of Data[R] messages being dropped.
filter | drop_data_messages_filter_
| Filtering function for dropping data messages.
filter | drop_builtin_data_messages_filter_
| Filtering function for dropping builtin data messages.
bool | dropParticipantBuiltinTopicData = false
| Flag to enable dropping of discovery Participant DATA(P) messages.
bool | dropPublicationBuiltinTopicData = false
| Flag to enable dropping of discovery Writer DATA(W) messages.
bool | dropSubscriptionBuiltinTopicData = false
| Flag to enable dropping of discovery Reader DATA(R) messages.
std::atomic< uint8_t > | dropDataFragMessagesPercentage {0}
| Percentage of data fragments being dropped.
filter | drop_data_frag_messages_filter_
| Filtering function for dropping data fragments messages.
std::atomic< uint8_t > | dropHeartbeatMessagesPercentage {0}
| Percentage of heartbeats being dropped.
filter | drop_heartbeat_messages_filter_
| Filtering function for dropping heartbeat messages.
std::atomic< uint8_t > | dropAckNackMessagesPercentage {0}
| Percentage of AckNacks being dropped.
filter | drop_ack_nack_messages_filter_
| Filtering function for dropping AckNacks.
std::atomic< uint8_t > | dropGapMessagesPercentage {0}
| Percentage of gap messages being dropped.
filter | drop_gap_messages_filter_
| Filtering function for dropping gap messages.
filter | sub_messages_filter_
std::atomic< uint8_t > | percentageOfMessagesToDrop {0}
filter | messages_filter_
DestinationLocatorFilter | locator_filter_
| Filtering function for dropping messages to specific destinations.
std::vector< fastdds::rtps::SequenceNumber_t > | sequenceNumberDataMessagesToDrop {}
| Vector containing the message's sequence numbers being dropped.
uint32_t | dropLogLength = 0
| Log dropped packets.
Public Attributes inherited from SocketTransportDescriptor
uint32_t | sendBufferSize
| Length of the send buffer.
uint32_t | receiveBufferSize
| Length of the receive buffer.
std::vector< std::string > | interfaceWhiteList
| Allowed interfaces in an IP or device name string format.
NetmaskFilterKind | netmask_filter
| Transport's netmask filter configuration.
std::vector< AllowedNetworkInterface > | interface_allowlist
| Allowed interfaces in an IP or device name string format, each with a specific netmask filter configuration.
std::vector< BlockedNetworkInterface > | interface_blocklist
| Blocked interfaces in an IP or device name string format.
uint8_t | TTL
| Specified time to live (8bit - 255 max TTL).
Public Attributes inherited from TransportDescriptorInterface
uint32_t | maxMessageSize
| Maximum size of a single message in the transport.
uint32_t | maxInitialPeersRange
| Number of channels opened with each initial remote peer.

## Additional Inherited Members

Protected Attributes inherited from PortBasedTransportDescriptor
ThreadSettings | default_reception_threads_
| Thread settings for the default reception threads.
ReceptionThreadsConfigMap | reception_threads_
| Thread settings for the specific reception threads, indexed by port.

## Detailed Description

UDP v4 Test Transport configuration.

## Member Typedef Documentation

## ◆ DestinationLocatorFilter

typedef std::function<bool (const Locator& destination)> DestinationLocatorFilter

Locator filtering function.

## ◆ filter

typedef std::function<bool (eprosima::fastdds::rtps::CDRMessage_t& msg)> filter

Custom message filtering functions.

## Constructor & Destructor Documentation

## ◆ test_UDPv4TransportDescriptor() [1/3]

FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor | ( |  | ) |

Constructor.

## ◆ ~test_UDPv4TransportDescriptor()

virtual ~test_UDPv4TransportDescriptor | ( |  | ) |

virtual default

Destructor.

## ◆ test_UDPv4TransportDescriptor() [2/3]

FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor | ( | const test_UDPv4TransportDescriptor & | t | ) |

delete

Copy constructor.

## ◆ test_UDPv4TransportDescriptor() [3/3]

FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor | ( | test_UDPv4TransportDescriptor && | t | ) |

delete

Move constructor.

## Member Function Documentation

## ◆ create_transport()

virtual TransportInterface * create_transport | ( |  | ) | const

override virtual

Create transport using the parameters defined within the Descriptor.

Implements TransportDescriptorInterface.

## ◆ operator=() [1/2]

FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor & operator= | ( | const test_UDPv4TransportDescriptor & | t | ) |

delete

Copy assignment.

## ◆ operator=() [2/2]

FASTDDS_EXPORTED_API test_UDPv4TransportDescriptor & operator= | ( | test_UDPv4TransportDescriptor && | t | ) |

delete

Move assignment.

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const test_UDPv4TransportDescriptor & | t | ) | const

Comparison operator.

## Member Data Documentation

## ◆ drop_ack_nack_messages_filter_

filter drop_ack_nack_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}
eprosima::fastdds::rtps::CDRMessage_t
Structure CDRMessage_t, contains a serialized message.
Definition CDRMessage_t.hpp:51

Filtering function for dropping AckNacks.

## ◆ drop_builtin_data_messages_filter_

filter drop_builtin_data_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

Filtering function for dropping builtin data messages.

## ◆ drop_data_frag_messages_filter_

filter drop_data_frag_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

Filtering function for dropping data fragments messages.

## ◆ drop_data_messages_filter_

filter drop_data_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

Filtering function for dropping data messages.

## ◆ drop_gap_messages_filter_

filter drop_gap_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

Filtering function for dropping gap messages.

## ◆ drop_heartbeat_messages_filter_

filter drop_heartbeat_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

Filtering function for dropping heartbeat messages.

## ◆ dropAckNackMessagesPercentage

std::atomic<uint8_t> dropAckNackMessagesPercentage {0}

mutable

Percentage of AckNacks being dropped.

## ◆ dropDataFragMessagesPercentage

std::atomic<uint8_t> dropDataFragMessagesPercentage {0}

mutable

Percentage of data fragments being dropped.

## ◆ dropDataMessagesPercentage

std::atomic<uint8_t> dropDataMessagesPercentage {0}

mutable

Test shim parameters Percentage of data messages being dropped.

## ◆ dropGapMessagesPercentage

std::atomic<uint8_t> dropGapMessagesPercentage {0}

mutable

Percentage of gap messages being dropped.

## ◆ dropHeartbeatMessagesPercentage

std::atomic<uint8_t> dropHeartbeatMessagesPercentage {0}

mutable

Percentage of heartbeats being dropped.

## ◆ dropLogLength

uint32_t dropLogLength = 0

Log dropped packets.

## ◆ dropParticipantBuiltinDataMessagesPercentage

std::atomic<uint8_t> dropParticipantBuiltinDataMessagesPercentage {0}

mutable

Percentage of Data[P] messages being dropped.

## ◆ dropParticipantBuiltinTopicData

bool dropParticipantBuiltinTopicData = false

Flag to enable dropping of discovery Participant DATA(P) messages.

## ◆ dropPublicationBuiltinDataMessagesPercentage

std::atomic<uint8_t> dropPublicationBuiltinDataMessagesPercentage {0}

mutable

Percentage of Data[W] messages being dropped.

## ◆ dropPublicationBuiltinTopicData

bool dropPublicationBuiltinTopicData = false

Flag to enable dropping of discovery Writer DATA(W) messages.

## ◆ dropSubscriptionBuiltinDataMessagesPercentage

std::atomic<uint8_t> dropSubscriptionBuiltinDataMessagesPercentage {0}

mutable

Percentage of Data[R] messages being dropped.

## ◆ dropSubscriptionBuiltinTopicData

bool dropSubscriptionBuiltinTopicData = false

Flag to enable dropping of discovery Reader DATA(R) messages.

## ◆ locator_filter_

DestinationLocatorFilter locator_filter_

Initial value:
= [](const Locator&)
{
return false;
}
eprosima::fastdds::rtps::Locator
eprosima::fastdds::rtps::Locator_t Locator
Definition Locator.hpp:523

Filtering function for dropping messages to specific destinations.

## ◆ messages_filter_

filter messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

## ◆ percentageOfMessagesToDrop

std::atomic<uint8_t> percentageOfMessagesToDrop {0}

mutable

## ◆ sequenceNumberDataMessagesToDrop

std::vector<fastdds::rtps::SequenceNumber_t> sequenceNumberDataMessagesToDrop {}

Vector containing the message's sequence numbers being dropped.

## ◆ sub_messages_filter_

filter sub_messages_filter_

Initial value:
= [](fastdds::rtps::CDRMessage_t&)
{
return false;
}

## ◆ test_transport_options

std::shared_ptr<TestUDPv4TransportOptions> test_transport_options = std::make_shared<TestUDPv4TransportOptions>()

Test transport options.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/test_UDPv4TransportDescriptor.hpp